#
# spec file for package emacs_w3 (Version 4.0pre.46)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  emacs emacs-x11 xaw3d xshared
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs emacs emacs-x11 file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xaw3d xshared

Name:         emacs_w3
Copyright: GPL
Group:      Applications/Internet
Provides: w3
Requires: emacs
Autoreqprov: on
Summary:      Emacs/W3 - a WWW browser for Emacs
Version:      4.0pre.46
Release:      307
Source: ftp://ftp.xemacs.org/pub/xemacs/emacs-w3/w3-4.0pre.46.tar.gz
Patch0: emacs_w3.dif
Patch1: emacs_w3-suse-start.dif
BuildRoot: /var/tmp/w3-root
# autoconf

%description
Implemented in Emacs Lisp.

Authors:
--------
    William M. Perry <wmperry@aventail.com>
    Alf-Ivar Holm <alfh@ifi.uio.no>
    Charles Levert <charles@comm.polymtl.ca>
    Ching-Mo Chang <chang@wsu.edu>
    Christian Limpach <chris@nice.ch>
    Colin Rafferty <craffert@ml.com>
    Cord Kielhorn <kielhorn@thphy.uni-duesseldorf.de>
    Dave Love <d.love@dl.ac.uk>
    Denys Duchier <Denys.Duchier@ps.uni-sb.de>
    Dieter Maurer <dieter@hit.handshake.de>
    Greg Stark <gsstark@mit.edu>
    Hrvoje Niksic <hniksic@srce.hr>
    Istvan Marko <istvan@cmdmail.amd.com>
    Jens-Ulrik Holger Petersen <petersen@kurims.kyoto-u.ac.jp>
    Joe Wells <jbw@cs.bu.edu>
    John Palmieri <palmieri@math.mit.edu>
    Jonathan Harris <jhar@tardis.ed.ac.uk>
    Laurent Martelli <laurent@lolo.martelli.fr>
    Michael Ernst <mernst@cs.washington.edu>
    Paul Stodghill <stodghil@CS.Cornell.EDU>
    Per Abrahamsen <abraham@dina.kvl.dk>
    Roland McGrath <roland@ai.mit.edu>
    Shuji Narazaki <narazaki@InetQ.or.jp>
    SL Baur <steve@altair.xemacs.org>
    Stefan Hornburg <racke@gundel.han.de>
    Takahiro Hayata <hayata@sc511t.s.kobe-u.ac.jp>
    T. V. Raman <raman@Adobe.COM>
    Thierry Emery <Thierry.Emery@nmu.alcatel.fr>
    Toby Speight <tms@ansa.co.uk>
    Vladimir Alexiev <vladimir@cs.ualberta.ca>

SuSE series: e

%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup0 -n w3-$RPM_PACKAGE_VERSION
%patch0 -p1
%patch1 -p1
# autoconf

%build
#  --with-custom=/usr/share/emacs/20.3/lisp
./configure --prefix=/usr --infodir=%{_infodir} \
            --with-lispdir=/usr/share/emacs/site-lisp/w3 \
            --datadir=/usr/share/emacs/w3
export LC_CTYPE=ISO-8859-1
make

%install
export RPM_BUILD_ROOT
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
  rm -fr $RPM_BUILD_ROOT
  %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
make install prefix="$RPM_BUILD_ROOT/usr" \
     infodir="$RPM_BUILD_ROOT%{_infodir}" \
     lispdir="$RPM_BUILD_ROOT/usr/share/emacs/site-lisp/w3" \
     datadir="$RPM_BUILD_ROOT/usr/share/emacs/w3"
%{INSTALL_DATA} suse-start-emacs_w3.el \
     $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/suse-start-emacs_w3.el
# touch dot.emacs
(cd $RPM_BUILD_ROOT/usr/share/info/ && gzip -9f w3.info w3.info-[1-9]*)
# %clean
# rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc BUGS INSTALL HOWTO README TODO
%doc contrib
%doc dot.emacs
%config /usr/share/emacs/site-lisp/suse-start-emacs_w3.el
/usr/share/emacs/site-lisp/w3
%{_infodir}/w3*gz
/usr/share/emacs/w3

%changelog -n emacs_w3
* Tue Mar 13 2001 - ro@suse.de
- added emacs-x11 to neededforbuild
* Thu Mar 08 2001 - uli@suse.de
- added xshared to neededforbuild
* Fri Nov 17 2000 - ro@suse.de
- ge_exec -> emacs
* Fri Apr 07 2000 - ke@suse.de
- Use an "official" Group tag: Applications/Internet.
- ./configure -> %%build.
- Provide /usr/share/emacs/site-lisp/suse-start-emacs_w3.el to make it
  start automatically.
* Sun Feb 27 2000 - kukuk@suse.de
- Fix typo in spec file
* Fri Feb 25 2000 - kukuk@suse.de
- Move /usr/info -> /usr/share/info
* Wed Nov 17 1999 - ke@suse.de
- update: 4.0pre46.
* Fri Nov 05 1999 - ke@suse.de
- better configuration hint in /usr/doc/packages/emacs_w3/dot.emacs.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jun 28 1999 - ke@suse.de
- update: 4.0.pre44.
* Fri Dec 18 1998 - ke@suse.de
- update: 4.0pre32.
* Tue Dec 01 1998 - ke@suse.de
- update: 4.0pre30.
* Fri Nov 27 1998 - ke@suse.de
- update: 4.0pre27.
* Mon Oct 26 1998 - ke@suse.de
- update: 4.0pre25.
* Tue Sep 15 1998 - ke@suse.de
- adjust paths for Emacs 20.3.
* Mon Jul 27 1998 - bs@suse.de
- added export LC_CTYPE=ISO-8859-1 to build section - emacs needs it.
* Wed Jul 15 1998 - ke@suse.de
- Initial version: 4.0pre.23.
